RHEL 7 : ruby (RHSA-2018:0378)

critical Nessus 插件 ID 107082

简介

远程 Red Hat 主机缺少一个或多个安全更新。

描述

ruby 的更新现在可用于 Red Hat Enterprise Linux 7。Red Hat 产品安全团队将此更新评级为具有重要安全影响。可从“参考”部分中的 CVE 链接获取通用漏洞评分系统 (CVSS) 基本分数,其针对每个漏洞给出了详细的严重性等级。Ruby 是一种可扩展的直译式面向对象的脚本语言。它具有处理文本文件和执行系统管理任务的功能。安全修复:* 已发现 Net::FTP 模块未正确处理与某些操作相结合的文件名。远程攻击者可利用此缺陷,通过设置恶意 FTP 服务器,并诱骗用户或 Ruby 应用程序使用 Net::FTP 模块下载具有特制名称的文件,执行恶意代码。(CVE-2017-17405) * 在 ruby 的 sprintf 函数中发现缓冲区溢出。可控制格式字符串参数的攻击者,可发送特制的字符串,泄露堆内存,或使解释器崩溃。(CVE-2017-0898) * 已发现在安装给定的 gem 过程中,rubygems 未清理 gem 名称。特制的 gem 可利用此缺陷安装普通目录外的文件。(CVE-2017-0901) * 已发现以下情况中存在漏洞:rubygems 通过 a _rubygems._tcp DNS SRV 查询请求域的 rubygems 服务器主机名时,未清除 DNS 响应。可操纵 DNS 响应的攻击者,可将 gem 命令引导至其他域。(CVE-2017-0902) * 已发现以下情况中存在漏洞:在检查 gem 时,rubygems 模块容易受到不安全 YAML 反序列化的影响。未安装但检查 gem 文件的应用程序可在 ruby 解释器环境中被诱骗执行任意代码。(CVE-2017-0903) * 已发现 WEBrick 未清除所有日志文件信息。若日志文件在终端打印,攻击者可通过使用转义序列与终端交互。(CVE-2017-10784) * 已发现 OpenSSL::ASN1 模块的解码方法易出现缓冲区不足。攻击者可向应用程序传递特制的字符串,导致 ruby 解释器崩溃,造成拒绝服务。(CVE-2017-14033) * 已发现以下情况中存在漏洞:rubygems 没有正确清除 gem 的规范文本。特制的 gem 可通过使用转义序列与终端交互。(CVE-2017-0899) * 已发现 rubygems 在解析足够长的 gem 摘要时,会占用过多 CPU。来自 gem 存储库的特制 gem 会冻结试图解析其摘要的命令。(CVE-2017-0900) * 在 ruby 的 JSON 扩展中发现缓冲区溢出漏洞。可向扩展传递特制 JSON 输入的攻击者,可利用此缺陷暴露解释器的堆内存。(CVE-2017-14064) * lib/resolv.rb 中的 ‘lazy_initialize’ 函数未正确处理某些文件名称。远程攻击者可能利用此缺陷注入并执行任意命令。(CVE-2017-17790)

解决方案

更新受影响的程序包。

另见

http://www.nessus.org/u?c33ad6b9

https://access.redhat.com/errata/RHSA-2018:0378

https://access.redhat.com/security/updates/classification/#important

https://bugzilla.redhat.com/show_bug.cgi?id=1487552

https://bugzilla.redhat.com/show_bug.cgi?id=1487587

https://bugzilla.redhat.com/show_bug.cgi?id=1487588

https://bugzilla.redhat.com/show_bug.cgi?id=1487589

https://bugzilla.redhat.com/show_bug.cgi?id=1487590

https://bugzilla.redhat.com/show_bug.cgi?id=1491866

https://bugzilla.redhat.com/show_bug.cgi?id=1492012

https://bugzilla.redhat.com/show_bug.cgi?id=1492015

https://bugzilla.redhat.com/show_bug.cgi?id=1500488

https://bugzilla.redhat.com/show_bug.cgi?id=1526189

https://bugzilla.redhat.com/show_bug.cgi?id=1528218

插件详情

严重性: Critical

ID: 107082

文件名: redhat-RHSA-2018-0378.nasl

版本: 3.12

类型: local

代理: unix

发布时间: 2018/3/1

最近更新时间: 2024/4/27

支持的传感器: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

风险信息

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: High

基本分数: 9.3

时间分数: 7.3

矢量: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

CVSS 分数来源: CVE-2017-17405

CVSS v3

风险因素: Critical

基本分数: 9.8

时间分数: 8.8

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

时间矢量: CVSS:3.0/E:P/RL:O/RC:C

CVSS 分数来源: CVE-2017-17790

漏洞信息

CPE: p-cpe:/a:redhat:enterprise_linux:ruby, p-cpe:/a:redhat:enterprise_linux:ruby-devel, p-cpe:/a:redhat:enterprise_linux:ruby-doc, p-cpe:/a:redhat:enterprise_linux:ruby-irb, p-cpe:/a:redhat:enterprise_linux:ruby-libs, p-cpe:/a:redhat:enterprise_linux:ruby-tcltk, p-cpe:/a:redhat:enterprise_linux:rubygem-bigdecimal, p-cpe:/a:redhat:enterprise_linux:rubygem-io-console, p-cpe:/a:redhat:enterprise_linux:rubygem-json, p-cpe:/a:redhat:enterprise_linux:rubygem-minitest, p-cpe:/a:redhat:enterprise_linux:rubygem-psych, p-cpe:/a:redhat:enterprise_linux:rubygem-rake, p-cpe:/a:redhat:enterprise_linux:rubygem-rdoc, p-cpe:/a:redhat:enterprise_linux:rubygems, p-cpe:/a:redhat:enterprise_linux:rubygems-devel, cpe:/o:redhat:enterprise_linux:7

必需的 KB 项: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

补丁发布日期: 2018/2/28

漏洞发布日期: 2017/8/31

参考资料信息

CVE: CVE-2017-0898, CVE-2017-0899, CVE-2017-0900, CVE-2017-0901, CVE-2017-0902, CVE-2017-0903, CVE-2017-10784, CVE-2017-14033, CVE-2017-14064, CVE-2017-17405, CVE-2017-17790

CWE: 117, 119, 122, 138, 20, 200, 77

RHSA: 2018:0378